Subject: Re: scrolling menus

From: [email-masked] (Steve_Kilbane)
Date: Thu, 1 Jul 1993 16:33:35 -0400

the original version of sam had menus that scrolled when the file menu got
too long (what determined when it was "too long", i don't know) - see the
V10 Research UNIX Programmer's Manual, Volume II. About p399, if i remember
correctly:-).

anyway, when i had the chance to see it, it didn't look too pleasant to use,
because there was too much unpredictability in how the menu scrolled. i
don't know, maybe it was just me. but i don't like the idea of cascading
menus either (too much holding down of the button again). i think the simplest
method would be to just have a "more files" option, just above "~~sam~~",
which cycles through which set of files appear in the menu. it's not
complicated to use, and probably not complicated to implement either (i
haven't looked at the menu code for a while, but it wasn't that difficult).
the main problem is that getting to your file could take n selections from
the menu, and you know how much rob hates unnecessary user interaction... :-)

steve